Subject: Re: bug#44273: "total used in directory 19 available 5.2 GiB"

From: Richard Stallman <[email-masked]>
Date: Sat, 31 Oct 2020 00:47:11 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > An alternative would be to replace this line with a similar one, but
  > > in which the units are under our control, and can be spelled out.

  > This could decrease performance, because you need to calculate the size
  > of all files there. Think about a directory with several thousand
  > files, located remotely. And we don't have "du" for all Tramp backends.

The efficient way to do this is to know what units ls uses for the
total size, and convert that number to whatever unit is desired.

We could easily make nsert-directory call a hook to reformat
this information to delete it.  So there is no need to treat this
as a fight in which one side wins and others lose.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)